Package org.eclipse.emf.compare.match

# Interface IMatchEngine.Factory.Registry

All Known Implementing Classes:
  `MatchEngineFactoryRegistryImpl`, `MatchEngineFactoryRegistryWrapper`

Enclosing interface:
  IMatchEngine.Factory

public static interface IMatchEngine.Factory.Registry
A registry of `IMatchEngine.Factory`.

Since:
  3.0
Restriction:
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IMatchEngine.Factory`
`add(IMatchEngine.Factory matchEngineFactory)`
Add to the registry the given `IMatchEngine.Factory`.
`void`
`clear()`
Clear the registry.
`IMatchEngine.Factory`
`getHighestRankingMatchEngineFactory(IComparisonScope scope)`
Returns the match engine factory, for the given scope, owning the highest ranking.
`List<IMatchEngine.Factory>`
`getMatchEngineFactories(IComparisonScope scope)`
Returns the list of `IMatchEngine.Factory` contained in the registry.
`IMatchEngine.Factory`
`remove(String className)`
Remove from the registry the `IMatchEngine.Factory` designated by the given `String` .

## Method Details

### getHighestRankingMatchEngineFactory

IMatchEngine.Factory getHighestRankingMatchEngineFactory(IComparisonScope scope)
Returns the match engine factory, for the given scope, owning the highest ranking.

Parameters:
  `scope` - The given scope.
Returns:
  The found match engine factory.

### getMatchEngineFactories

List<IMatchEngine.Factory> getMatchEngineFactories(IComparisonScope scope)
Returns the list of `IMatchEngine.Factory` contained in the registry.

Parameters:
  `scope` - The scope on which the match engine factories will be applied.
Returns:
  The list of `IMatchEngine.Factory` contained in the registry.

### add

IMatchEngine.Factory add(IMatchEngine.Factory matchEngineFactory)
Add to the registry the given `IMatchEngine.Factory`.

Parameters:
  `matchEngineFactory` - The given `IMatchEngine.Factory`.
Returns:
  The previous value associated with the class name of the given `IMatchEngine.Factory`, or null if there was no entry in the registry for the class name.

### remove

IMatchEngine.Factory remove(String className)
Remove from the registry the `IMatchEngine.Factory` designated by the given `String` .

Parameters:
  `className` - The given `String` representing a `IMatchEngine.Factory`.
Returns:
  The `IMatchEngine.Factory` designated by the given `String`.

### clear

void clear()
Clear the registry.